Bug 221731 - RFE: offer option of sending log output to stdout
RFE: offer option of sending log output to stdout
Product: Fedora Hosted Projects
Classification: Retired
Component: mock (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clark Williams
Depends On:
  Show dependency treegraph
Reported: 2007-01-06 19:30 EST by David Cantrell
Modified: 2013-01-09 23:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-07-27 14:41:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Cantrell 2007-01-06 19:30:19 EST
The default output from a mock build is pretty short since almost everything is
sent to log files.  I don't want to tail log files to watch a build.  I'd rather
see the output on stdout.  Please add an option to send output to stdout rather
than to log files.
Comment 1 Clark Williams 2007-02-26 13:25:49 EST
I made a pass through the code a couple of versions back to find all the places
where mock can terminate due to a failed command and to print out the output of
that command before exiting. Do you want something beyond that?

What version are you using now?

Comment 2 David Cantrell 2007-03-02 10:54:35 EST
What I would like is the ability to see the output of rpmbuild in the console as
if I were running rpmbuild locally.  I'm not sure if this is even possible.
Comment 3 Clark Williams 2007-03-02 11:03:58 EST
It would require a rework of the logging logic, but I'm getting some other
requests for this as well. I'll look at what it would take to add a --verbose
option that sends all logging output to stdout.
Comment 4 Clark Williams 2008-03-07 17:07:51 EST
The great mock rewrite completely overhauled the mock logging infrastructure.
Please look at mock-0.9+ and see the changes in it meet your needs.

Note You need to log in before you can comment on or make changes to this bug.